<?php

/**
 * Description of MCLayout
 *
 * @author Arian Khosravi <arian@bigemployee.com>, <@ArianKhosravi>
 */
class Forms_MCLayout implements Forms_FormLayoutInterface {

    public function generateForm(Forms_Form $parent) {
        $elements = $parent->getElements();
        $str = '';
        $str .= '<div class="result"></div>';
        $str .= '<form ' . ($parent->getFormId() ? 'id="' . $parent->getFormId() : '')
                . '" ' . 'action="' . $parent->getAction() . '" ' .
                'method="' . $parent->getMethod() . '">' . PHP_EOL;
        $str .= '<ul>' . PHP_EOL;
        foreach ($elements as $element) {
            $str.= '<li '.
                    ($element->get_wrapper_class() ?
                            'class="' . $element->get_wrapper_class() . '"' : '') . '>';
            $str.= $element->toString();
            $str.= '</li>';
        }
        $str .= '</ul>' . PHP_EOL;
        $str .= '<input type="submit" value="Sign Up" class="button" />';
        $str .= '</form>' . PHP_EOL;
        return $str;
    }

}
?>